﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="C1WebGrid._Default" %>

<%@ Register Assembly="C1.Web.C1WebGrid.2" Namespace="C1.Web.C1WebGrid" TagPrefix="C1WebGrid" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
    <div>
        <C1WebGrid:C1WebGrid ID="C1WebGrid1" runat="server" AllowColMoving="True" 
            AllowColSizing="True" AllowPaging="True" AllowSorting="True" 
            AutoGenerateColumns="False" CallbackOptions="ColMove, Paging, Sorting" 
            DataSourceID="AccessDataSource1" onitemdatabound="C1WebGrid1_ItemDataBound">
            <ItemStyle BackColor="#FFFFCC" ForeColor="Black" />
            <Columns>
                <C1WebGrid:C1BoundColumn DataField="CategoryName" HeaderText="CategoryName" 
                    RowMerge="Free" SortDirection="Ascending" SortExpression="CategoryName">
                </C1WebGrid:C1BoundColumn>
                <C1WebGrid:C1BoundColumn DataField="ProductID" HeaderText="ProductID" 
                    SortExpression="ProductID" SortDirection="Ascending">
                </C1WebGrid:C1BoundColumn>
                <C1WebGrid:C1BoundColumn DataField="ProductName" HeaderText="ProductName" 
                    SortExpression="ProductName">
                </C1WebGrid:C1BoundColumn>
                <C1WebGrid:C1Band HeaderText="Pricing &amp; Availability">
                    <Columns>
                        <C1WebGrid:C1BoundColumn DataField="QuantityPerUnit" 
                            HeaderText="QuantityPerUnit" SortExpression="QuantityPerUnit">
                        </C1WebGrid:C1BoundColumn>
                        <C1WebGrid:C1BoundColumn DataField="UnitPrice" HeaderText="UnitPrice" 
                            SortExpression="UnitPrice" DataFormatString="{0:c}">
                        </C1WebGrid:C1BoundColumn>
                        <C1WebGrid:C1BoundColumn DataField="UnitsInStock" HeaderText="UnitsInStock" 
                            SortExpression="UnitsInStock">
                        </C1WebGrid:C1BoundColumn>
                        <C1WebGrid:C1BoundColumn DataField="UnitsOnOrder" HeaderText="UnitsOnOrder" 
                            SortExpression="UnitsOnOrder">
                        </C1WebGrid:C1BoundColumn>
                        <C1WebGrid:C1BoundColumn DataField="ReorderLevel" HeaderText="ReorderLevel" 
                            SortExpression="ReorderLevel">
                        </C1WebGrid:C1BoundColumn>
                        <C1WebGrid:C1TemplateColumn HeaderText="Discontinued">
                            <ItemTemplate>
                                <asp:CheckBox ID="CheckBox1" runat="server" 
                                    Checked='<%# Bind("Discontinued") %>' TextAlign="Left" />
                            </ItemTemplate>
                        </C1WebGrid:C1TemplateColumn>
                    </Columns>
                </C1WebGrid:C1Band>
            </Columns>
            <PagerStyle BackColor="#990033" ForeColor="#FFFFCC" />
            <HeaderStyle BackColor="#990033" ForeColor="#FFFFCC" />
        </C1WebGrid:C1WebGrid>
    </div>
        <asp:AccessDataSource ID="AccessDataSource1" runat="server" 
            DataFile="~/App_Data/C1NWind.mdb" 
            SelectCommand="SELECT Categories.CategoryName, Products.ProductID, Products.ProductName, Products.QuantityPerUnit, Products.UnitPrice, Products.UnitsInStock, Products.UnitsOnOrder, Products.ReorderLevel, Products.Discontinued FROM (Products INNER JOIN Categories ON Products.CategoryID = Categories.CategoryID)">
        </asp:AccessDataSource>
    </form>
</body>
</html>
